%define anolis_release 1

Name:		orc
Version:	0.4.33
Release:	%{anolis_release}%{?dist}
Summary:	The Oil Run-time Compiler

License:	BSD
URL:		https://gstreamer.freedesktop.org/
Source0:	https://gstreamer.freedesktop.org/src/orc/%{name}-%{version}.tar.xz

BuildRequires:	meson >= 0.55.0
BuildRequires:  gcc
BuildRequires:	gtk-doc

%description
Orc is a library and set of tools for compiling and executing
very simple programs that operate on arrays of data.  The "language"
is a generic assembly language that represents many of the features
available in SIMD architectures, including saturated addition and
subtraction, and many arithmetic operations.

%package doc
Summary:	Documentation for Orc
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description doc
Documentation for Orc.

%package devel
Summary:	Development files and libraries for Orc
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-compiler

%description devel
This package contains the files needed to build packages that depend
on orc.

%package compiler
Summary:	Orc compiler
Requires:	%{name} = %{version}-%{release}

%description compiler
The Orc compiler, to produce optimized code.


%prep
%setup -q

%build
%meson -D default_library=shared
%meson_build

%install
%meson_install

# Remove unneeded files.
find %{buildroot}/%{_libdir} -name \*.a -delete
rm -rf %{buildroot}/%{_libdir}/orc

%generate_compatibility_deps

%check
%ifnarch s390 s390x ppc %{power64} %{arm} i686 aarch64
%meson_test
%endif

%files
%dir %{abidir}
%doc COPYING README
%{_libdir}/liborc-*.so.*
%{_bindir}/orc-bugreport
%{abidir}/liborc*.dump
%{abidir}/orc-bugreport-option.list

%files doc
%doc %{_datadir}/gtk-doc/html/orc/

%files devel
%doc examples/*.c
%{_includedir}/%{name}-0.4/
%{_libdir}/liborc-*.so
%{_libdir}/pkgconfig/orc-0.4.pc
%{_libdir}/pkgconfig/orc-test-0.4.pc
%{_datadir}/aclocal/orc.m4

%files compiler
%{_bindir}/orcc
%{abidir}/orcc-option.list

%changelog
* Sun Nov 6 2022 Funda Wang <fundawang@yeah.net> - 0.4.33-1
- New version 0.4.33

* Tue Oct 18 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.4.32-2
- optimise spec file

* Mon Apr 18 2022 zhang xianting <zhangxianting@uniontech.com> - 0.4.32-1
- Initial build for Anolis V23
